代付(Pay-out · 菲律宾)
菲律宾地区 付款(Pay-out) 接口(PHP)。详见 支付方式。
Request
POST/v2.0/disbursement/pay-out
Request Path:
sandbox: https://sandbox-gateway.smilepayz.com/v2.0/disbursement/pay-out
production: https://gateway.smilepayz.com/v2.0/disbursement/pay-out
| Field | Required | Type | Description |
|---|
Content-Type | M | String | application/json 请求体。 |
X-TIMESTAMP | M | String | Format: yyyy-MM-ddTHH:mm:ss±HH:mm (e.g. PHT +08:00). |
X-SIGNATURE | M | String | 请求体签名(见产品文档 签名生成)。 |
X-PARTNER-ID | M | String | 商户 merchantID(字母数字)。 |
Body Parameters
| Field | Required | Type | Description |
|---|
orderNo | M | String(32) | 商户唯一订单号,6–32 位字母数字。 |
purpose | M | String(64) | 展示用摘要,1–64 UTF-8 字符。 |
merchant | M | Object | 含 merchantId 及可选子商户字段。 |
merchantId | M | String | Smilepayz merchantId。 |
merchantName | O | String | UTF-8 商户展示名。 |
subMerchantId | O | String | 可选子商户编号。 |
subMerchantName | O | String | 可选子商户 UTF-8 名称。 |
money | M | Object | currency 与 amount 金额对象。 |
currency | M | String | 固定为 PHP。 |
amount | M | Number | PHP 整数最小货币单位(如 10050 = PHP 100.50)。 |
paymentMethod | M | String | 通道编码(见 支付方式 文档)。 |
cashAccount | M | String(32) | 收款银行账号。 |
receiver | M | Object | 收款人对象(见 Receiver 模型)。 |
name | M | String | 收款人全名(UTF-8)。 |
callbackUrl | O | String(256) | 异步通知 HTTPS,最长 256。 |
Example Body – Disbursement Request:
Content-type: application/json
X-TIMESTAMP: 2020-12-17T10:55:00+08:00
X-SIGNATURE: 7MHd9v5/m9JeqmDZVwWBZUZ5J5...7120QnFEny7Qm7uQR1G0TWCh10fsU6nVxiRoeoQ==
X-PARTNER-ID: 20001
{
"orderNo": "2000102900000000000001",
"purpose": "Payroll — Cebu hub",
"merchant": {
"merchantId": "20001"
},
"money": {
"currency": "PHP",
"amount": 150000
},
"paymentMethod": "BPI",
"cashAccount": "123456789012",
"receiver": {
"name": "Maria Santos Cruz"
}
}
Responses
HTTP Request
| Field | Required | Type | Description |
|---|
Content-Type | M | String | application/json 请求体。 |
X-TIMESTAMP | M | String | Format: yyyy-MM-ddTHH:mm:ss±HH:mm |
Body Parameters
| Field | Required | Type | Description |
|---|
code | M | String | 00 成功,其余失败。 |
message | M | String | UTF-8 结果说明。 |
orderNo | M | String | 商户唯一订单号,6–32 位字母数字。 |
tradeNo | O | String | 平台 tradeNo。 |
merchant | M | Object | 含 merchantId 及可选子商户字段。 |
merchantId | M | String | Smilepayz merchantId。 |
merchantName | O | String | UTF-8 商户展示名。 |
subMerchantId | O | String | 可选子商户编号。 |
subMerchantName | O | String | 可选子商户 UTF-8 名称。 |
accountNo | O | String | 结算 accountNo(若返回)。 |
money | M | Object | currency 与 amount 金额对象。 |
currency | M | String | 固定为 PHP。 |
amount | M | Number | PHP 整数最小货币单位(如 10050 = PHP 100.50)。 |
disbursementTime | M | String | Format (yyyy-MM-ddTHH:mm:ss±HH:mm). |
channel | M | Object | 通道数据(paymentUrl、qrString 等)。 |
paymentMethod | M | String | 通道编码(见 支付方式 文档)。 |
cashAccount | M | String | 收款银行账号。 |
accountName | O | String | Account holder name. |
status | O | String | 订单或支付状态枚举值。 |
Example Body – Disbursement Response:
Content-type: application/json
X-TIMESTAMP: 2020-12-17T10:55:00+08:00
{
"code": "00",
"message": "successful",
"orderNo": "2000102900000000000001",
"tradeNo": "1822000109e998347483949",
"merchant": {
"merchantId": "20001",
"merchantName": "Smilepayz Demo Store",
"accountNo": "2000124234782342"
},
"money": {
"currency": "PHP",
"amount": 150000
},
"disbursementTime": "2024-12-17T10:55:00+08:00",
"channel": {
"paymentMethod": "BPI",
"cashAccount": "123456789012",
"accountName": "Maria Santos Cruz"
},
"status": "PROCESSING"
}
Notification/Callback
HTTP Request
| Field | Required | Type | Description |
|---|
Content-Type | M | String | application/json 请求体。 |
X-TIMESTAMP | M | String | Format: yyyy-MM-ddTHH:mm:ss±HH:mm |
X-SIGNATURE | M | String | 回调体签名(见 回调验签 文档)。 |
Body Parameters
| Field | Required | Type | Description |
|---|
orderNo | M | String | 商户唯一订单号,6–32 位字母数字。 |
tradeNo | M | String | 平台 tradeNo。 |
merchantId | M | String | Smilepayz merchantId。 |
merchantName | M | String | UTF-8 商户展示名。 |
subMerchantId | O | String | 可选子商户编号。 |
subMerchantName | O | String | 可选子商户 UTF-8 名称。 |
paymentMethod | M | String | 通道编码(见 支付方式 文档)。 |
transactionTime | M | String | Format: yyyy-MM-ddTHH:mm:ss |
money | M | Object | currency 与 amount 金额对象。 |
currency | M | String | 固定为 PHP。 |
amount | M | Number | PHP 整数最小货币单位(如 10050 = PHP 100.50)。 |
status | M | String | 订单或支付状态枚举值。 |
Return
Important
Respond with the string SUCCESS only.
{
"orderNo": "2000102900000000000001",
"tradeNo": "1822000109e998347483949",
"merchantId": "20001",
"merchantName": "Smilepayz Demo Store",
"subMerchantId": "",
"subMerchantName": "",
"paymentMethod": "BPI",
"transactionTime": "2024-12-17T10:55:00+08:00",
"money": {
"currency": "PHP",
"amount": 150000
},
"status": "SUCCESS"
}